    import YXmlTreeWalker from 'yjs/src/Types/YXml/YXmlTreeWalker.js'

public class | source

# YXmlTreeWalker

Represents a subset of the nodes of a YXmlElement / YXmlFragment and a position within them.

Can be created with YXmlFragment#createTreeWalker

## Constructor Summary

Public Constructor
public | constructor () |

## Method Summary

Public Methods
public | [Symbol.iterator] (): * |
public | next (): YXmlElement Get the next node. |

## Public Constructors

### public constructor() source

## Public Methods

### public [Symbol.iterator](): * source

#### Return:

*

### public next(): YXmlElement source

Get the next node.

#### Return:

YXmlElement | The next node.